﻿Imports System.Console
Imports System.IO
Module Module1
    Private Structure EgyMeccs
        Dim Forduló As Integer
        Dim hGól, vGól As Integer
        Dim hfGól, vfGól As Integer
        Dim Hazai, Vendég As String
        Dim Volt As Boolean
    End Structure
    Dim Meccs(400) As EgyMeccs
    Dim mSzám As Integer
    Dim Csapat As String

    Sub Main()
        Beolvasas()

        Feladat(2)
        F2()

        Feladat(3)
        F3()

        Feladat(4)
        F4()

        Feladat(5)
        F5()

        Feladat(6)
        F6()

        Feladat(7)
        F7()

        ReadLine()
    End Sub

    Sub Feladat(ByVal i As Integer)
        WriteLine()
        WriteLine("---- " & i & ". feladat ----")
    End Sub

    Sub Beolvasas()
        Dim i As Integer
        Dim Egysor(7) As String
        Dim fájl As FileStream = New FileStream("..\..\meccs.txt", FileMode.Open)
        Dim olvasó As StreamReader = New StreamReader(fájl)

        mSzám = Val(olvasó.ReadLine)
        For i = 1 To mSzám
            Egysor = olvasó.ReadLine.Split(" ")
            Meccs(i).Forduló = Val(Egysor(0))
            Meccs(i).hGól = Val(Egysor(1))
            Meccs(i).vGól = Val(Egysor(2))
            Meccs(i).hfGól = Val(Egysor(3))
            Meccs(i).vfGól = Val(Egysor(4))
            Meccs(i).Hazai = Egysor(5)
            Meccs(i).Vendég = Egysor(6)
            Meccs(i).Volt = False
        Next

        olvasó.Close()
        fájl.Close()
    End Sub

    Sub F2()
        Dim i As Integer
        Dim Ford As Integer

        Write("Adja meg egy forduló sorszámát!= ")
        Ford = ReadLine()
        For i = 1 To mSzám
            With Meccs(i)
                If .Forduló = Ford Then
                    WriteLine(.Hazai & "-" & .Vendég & ": " & .hGól & "-" & .vGól & " (" & .hfGól & "-" & .vfGól & ") ")
                End If
            End With
        Next
    End Sub

    Sub F3()
        Dim i As Integer

        For i = 1 To mSzám
            With Meccs(i)
                If (.hGól - .vGól) * (.hfGól - .vfGól) < 0 Then
                    If .hGól > .vGól Then
                        WriteLine(.Forduló & ".forduló: " & .Hazai)
                    Else
                        WriteLine(.Forduló & ".forduló: " & .Vendég)
                    End If
                End If
            End With
        Next
    End Sub

    Sub F4()
        Write("Adjon meg egy csapatnevet!= ")
        Csapat = ReadLine()
    End Sub

    Sub F5()
        Dim i As Integer
        Dim lőtt, kapott As Integer

        lőtt = 0
        kapott = 0
        For i = 1 To mSzám
            If Meccs(i).Hazai = Csapat Then
                lőtt = lőtt + Meccs(i).hGól
                kapott = kapott + Meccs(i).vGól
            End If
            If Meccs(i).Vendég = Csapat Then
                lőtt = lőtt + Meccs(i).vGól
                kapott = kapott + Meccs(i).hGól
            End If
        Next
        WriteLine("A lőtt gólok száma: " & lőtt & " a kapott gólok száma: " & kapott)
    End Sub

    Sub F6()
        Dim i As Integer
        Dim melymeccs, melyforduló As Integer

        melymeccs = 0
        melyforduló = 21
        For i = 1 To mSzám
            If (Meccs(i).Hazai = Csapat) And (Meccs(i).hGól < Meccs(i).vGól) Then
                If Meccs(i).Forduló < melyforduló Then
                    melyforduló = Meccs(i).Forduló
                    melymeccs = i
                End If
            End If
        Next

        If melyforduló = 21 Then
            WriteLine("A " & Csapat & " csapat otthon veretlen maradt.")
        Else
            Write("A " & Csapat & " otthon először a " & Meccs(melymeccs).Forduló & ". forduloban kapott ki, ")
            WriteLine(" az ellenfél " & Meccs(melymeccs).Vendég & " volt.")
        End If
    End Sub


    Sub F7()
        Dim i As Integer
        Dim vdb, db As Integer
        Dim mégnemvolt As Integer
        Dim hg, vg As Integer
        Dim fájl As FileStream = New FileStream("..\..\stat.txt", FileMode.Create, FileAccess.Write)
        Dim ki As StreamWriter = New StreamWriter(fájl)

        vdb = 0
        mégnemvolt = 1
        While vdb < mSzám
            db = 0
            While Meccs(mégnemvolt).Volt
                mégnemvolt += 1
            End While
            hg = Meccs(mégnemvolt).hGól
            vg = Meccs(mégnemvolt).vGól
            For i = mégnemvolt To mSzám
                If ((hg = Meccs(i).hGól) And (vg = Meccs(i).vGól) Or (vg = Meccs(i).hGól) And (hg = Meccs(i).vGól)) Then
                    Meccs(i).Volt = True
                    db += 1
                    vdb += 1
                End If
            Next
            If hg > vg Then
                ki.WriteLine(hg & "-" & vg & ": " & db & " darab")
            Else
                ki.WriteLine(vg & "-" & hg & ": " & db & " darab")
            End If
        End While
        ki.Close()
        fájl.Close()
    End Sub
End Module
